#include "mainwindow.h"
#include <QDebug>
#include <QInputEvent>

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
{
}

MainWindow::~MainWindow()
{

}

void MainWindow::keyPressEvent(QKeyEvent *event)
{
    switch (event->key()) {
    case Qt::Key_Control:
        qDebug() << "Pressed Ctrl modifier";
        break;
    case Qt::Key_Alt:
        qDebug() << "Pressed Alt modifier";
        break;
    case Qt::Key_Shift:
        qDebug() << "Pressed Shift modifier";
        break;
    case Qt::Key_Meta:
        qDebug() << "Pressed Meta modifier";
        break;
    default:
        qDebug() << "Pressed" << event->key();
        break;
    }
}

void MainWindow::keyReleaseEvent(QKeyEvent *event)
{
    switch (event->key()) {
    case Qt::Key_Control:
        qDebug() << "Released Ctrl modifier";
        break;
    case Qt::Key_Alt:
        qDebug() << "Released Alt modifier";
        break;
    case Qt::Key_Shift:
        qDebug() << "Released Shift modifier";
        break;
    case Qt::Key_Meta:
        qDebug() << "Released Meta modifier";
        break;
    default:
        qDebug() << "Released" << event->key();
        break;
    }
}

void MainWindow::wheelEvent(QWheelEvent *event)
{
    qDebug() << "Modifiers:" << event->modifiers();
    QMainWindow::wheelEvent(event);
}
